Bug 226505 - [PATCH] www/chromium: add CUPS option
Summary: [PATCH] www/chromium: add CUPS option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-chromium mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-10 20:38 UTC by Craig Leres
Modified: 2018-03-12 18:48 UTC (History)
1 user (show)

See Also:
cpm: maintainer-feedback+


Attachments
patch (2.72 KB, patch)
2018-03-10 20:40 UTC, Craig Leres
no flags Details | Diff
poudriere testport build log with CUPS disabled (73.49 KB, text/plain)
2018-03-10 20:54 UTC, Craig Leres
no flags Details
patch (2.64 KB, patch)
2018-03-11 16:12 UTC, Craig Leres
cpm: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Craig Leres freebsd_committer 2018-03-10 20:38:35 UTC
www/chromium is hard coded to depend on cups. This causes problems for those of us who use the base versions of lpd/lpr and have /usr/local/bin on our path. This patch makes cups support an option. Included is the patchset is a patch from cpm@ that solves an undefined linker reference that occurs when cups is disabled.

Note that chromium does not support printing without cups so this option also disables printing and print previews.
Comment 1 Craig Leres freebsd_committer 2018-03-10 20:40:53 UTC
Created attachment 191378 [details]
patch

Here is the patch set. With maintainer approval I'm happy to take this bug and create a differential to commit it.
Comment 2 Craig Leres freebsd_committer 2018-03-10 20:54:09 UTC
Created attachment 191379 [details]
poudriere testport build log with CUPS disabled

I removed most of the build lines because even compressed it was too large to attach.
Comment 3 Carlos J. Puga Medina freebsd_committer 2018-03-11 11:07:28 UTC
CUPS_DESC is defined in Mk/bsd.options.desc.mk, please remove this line:

+CUPS_DESC=	Disable cups support (note: this completely disables printing)
Comment 4 Craig Leres freebsd_committer 2018-03-11 16:12:46 UTC
Created attachment 191419 [details]
patch

Revised patch without CUPS_DESC.
Comment 5 Carlos J. Puga Medina freebsd_committer 2018-03-11 18:37:37 UTC
(In reply to Craig Leres from comment #4)

LGTM. Feel free to commit the patch :)
Comment 6 commit-hook freebsd_committer 2018-03-12 17:45:12 UTC
A commit references this bug:

Author: leres
Date: Mon Mar 12 17:44:37 UTC 2018
New revision: 464264
URL: https://svnweb.freebsd.org/changeset/ports/464264

Log:
  Add a CUPS option to disable cups support and remove the
  dependency on print/cups. This includes a patch from cpm@ that
  solves an undefined linker reference that occurs when cups is
  disabled. Since chromium does not support printing without cups
  enabling this option also disables printing and print previews.

  PR:		226505
  Reviewed by:	cpm, matthew (mentor)
  Approved by:	cpm, matthew (mentor)
  Differential Revision:	https://reviews.freebsd.org/D14659

Changes:
  head/www/chromium/Makefile
  head/www/chromium/files/patch-chrome_service_cloud__print_print__system.cc
Comment 7 Carlos J. Puga Medina freebsd_committer 2018-03-12 18:48:00 UTC
(In reply to commit-hook from comment #6)

Good job, Craig :)